%define debug_package %{nil}

Summary: Monitoring plugin for checking WMI
Name: monitor-plugin-check_wmi_plus
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: %{name}-%{version}.tar.gz
Source1: wmi-1.4.1.tar.gz
Source2: check_wmi_plus.v1.66.tar.gz
Patch0: wmipatch.patch
Patch1: dcom.patch
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: perl(Getopt::Long)
Requires: perl(Scalar::Util)
Requires: perl(Number::Format)
Requires: perl(Data::Dumper)
Requires: perl(Storable)
Requires: perl(Config::IniFiles)
Requires: perl(DateTime)
Requires: wmi
Requires: txt2man

%package -n wmi
Summary: Windows Management Instrumentation (WMI)
License: GPLv2
Group: op5/system-addons
BuildRequires: gcc
BuildRequires: autoconf
BuildRequires: perl
BuildRequires: python2
BuildRequires: nagios-plugins-perl
BuildRequires: perl-Config-IniFiles
BuildRequires: perl-DateTime
BuildRequires: perl-Scalar-List-Utils
BuildRequires: perl-Number-Format
BuildRequires: perl-Parse-Yapp

%description
Monitoring plugin for checking WMI

%description -n wmi
%{summary}

%prep
%setup -q -n %{name}-%{version}
%setup -T -D -a 1
%setup -T -D -a 2
%patch0
# Apply dcom patch
%patch1

%build
pushd wmi-1.4.1
pushd Samba/source/
./configure
popd
alias python='python2'
%{__make} pywmi-build "CPP=gcc -E -ffreestanding"
popd

%install
rm -rf %buildroot

# The check command has a hard coded path to the config file
# Change that line to point to where it actually is
sed --in-place "30s/.*/my \$conf_file='\/opt\/plugins\/check_wmi_plus.conf';/" check_wmi_plus.pl
# Set correct path to utils.pm
sed --in-place '33i use lib "/opt/plugins";' check_wmi_plus.pl

%{__mkdir} -p %buildroot%prefix
%{__install} check_wmi_plus.pl %buildroot%prefix/
%{__install} check_wmi_plus_help.pl %buildroot%prefix/
%{__install} check_wmi_plus.makeman.sh %buildroot%prefix/
%{__cp} -r etc/check_wmi_plus/check_wmi_plus.d %buildroot%prefix/

# Files provided by OP5
%{__install} etc/check_wmi_plus.conf %buildroot%prefix/
%{__install} etc/check_sql_express.ini %buildroot%prefix/check_wmi_plus.d/

# This is where the generated man help file is put by the plugin.
%{__mkdir} -p %buildroot%prefix/check_wmi_plus.d/man1
touch %buildroot%prefix/check_wmi_plus.d/man1/check_wmi_plus.1

pushd %buildroot%prefix
ln -s check_wmi_plus.pl check_wmi_plus
popd

# Metadata
%{__mkdir} -p -m 0755 %buildroot%prefix/metadata
%{__install} -m 0644 check_wmi_plus.metadata %buildroot%prefix/metadata/

# Install wmic
%{__mkdir} -p %{buildroot}%{_bindir}/
%{__install} wmi-1.4.1/Samba/source/bin/wmic %{buildroot}%{_bindir}/

%files
%license LICENSE
%config(noreplace) %prefix/check_wmi_plus.conf
%prefix/check_wmi_plus.d
%prefix/check_wmi_plus.d/man1
%ghost %prefix/check_wmi_plus.d/man1/check_wmi_plus.1
%dir %attr(0755,-,-) %prefix/metadata/
%{prefix}/metadata/check_wmi_plus.metadata

%defattr(755, root, root, 755)
%prefix/check_wmi_plus
%prefix/check_wmi_plus.pl
%prefix/check_wmi_plus_help.pl
%prefix/check_wmi_plus.makeman.sh

%files -n wmi
%{_bindir}/wmic
%license LICENSE


%clean
rm -rf %buildroot


%changelog
* Thu Mar 10 2022 Erik Sjöström <esjostrom@itrsgroup.com>
- Apply the DCOM patch.
* Mon Feb 21 2022 Erik Sjöström <esjostrom@itrsgroup.com>
- Update to latest upstream version.
* Wed Sep 7 2016 Mattias Ryrlén <mattiasr@op5.com> version-release
- Initial package creation.
